Bug 839125 - CVE-2012-3358 openjpeg: heap-based buffer overflow when processing JPEG2000 image files [fedora-all]
Summary: CVE-2012-3358 openjpeg: heap-based buffer overflow when processing JPEG2000 i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openjpeg
Version: 17
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2012-3358
TreeView+ depends on / blocked
 
Reported: 2012-07-11 03:40 UTC by Huzaifa S. Sidhpurwala
Modified: 2016-02-01 01:56 UTC (History)
6 users (show)

Fixed In Version: openjpeg-1.4-15.fc17
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-19 04:34:36 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2012-07-11 03:40:49 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=835767

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora End Of Life 2013-01-16 21:23:08 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Jaromír Cápík 2013-01-18 15:02:46 UTC
Changing from F16 to F17

Comment 3 Fedora Update System 2013-05-22 18:12:36 UTC
openjpeg-1.4-15.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openjpeg-1.4-15.fc17

Comment 4 Fedora Update System 2013-05-23 12:36:53 UTC
Package openjpeg-1.4-15.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openjpeg-1.4-15.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8953/openjpeg-1.4-15.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-06-19 04:34:36 UTC
openjpeg-1.4-15.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.